Subject: RE: [Forces-protocol] Re: ForCES Protocol Analysis Design Team Administrivia

From: [email-masked]
Date: Mon, 1 Mar 2004 14:52:34 +0800

Hi Hormuzd,

It seems a good and reasonable idea. 

Hi David,

Thank you very much for the change.

Cheers,
Weiming

Quoting "Khosravi, Hormuzd M" <[email-masked]>:

> Hi All
> 
>  
> 
> I was thinking about the issue of transport(s) for the ForCES protocol
> which is probably one of the most important and might be quite
> contentious.
> 
> One way to resolve this and make some progress is to separate this from
> the ForCES base protocol, let us consider having 2 drafts...one which 
> 
> defines the base protocol assuming a reliable transport and the second
> which defines how the base protocol will work over different reliable as
> well as 
> 
> unreliable transports e.g. TCP/IP, UDP/IP, TIPC, Ethernet, PCI, etc. The
> base protocol can concentrate on the basic protocol messages needed for 
> 
> control, configuration, capability exchange, etc. as well as other
> transactioning semantics (2-phase commit), etc. The 2nd draft, say on
> 'encapsulation
> 
> for the base protocol' can discuss the details of providing reliability
> over unreliable transports using some encapsulation header or TLV, etc.
> and how
> 
> the base protocol will work over different transports.
> 
> We will eventually need to mandate 1 or minimum set of transports for
> the protocol, but that can be decided later. In the mean time we can
> continue 
> 
> making progress on both drafts. How does that sound to you guys ?
> 
>  
> 
> Let us know.
> 
>  
> 
>  
> 
> Regards
> 
> Hormuzd
> 
>  
> 
> 

-------------------------------------------------
This mail sent through HUCNIC Webmail system.

_______________________________________________
Forces-protocol mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/forces-protocol

---

From: Alex Audu <[email-masked]>
Date: Tue, 02 Mar 2004 12:00:09 -0600

Hi Hormuzd,

I am not sure I am in favor of a duplicate draft. What could be done is 
to recommend
that separate C/D channels be used for enhanced reliability, and leave 
the rest to
implementation. By that, I mean the strength of this pseudo-requirement 
is "SHOULD".
That way, one document serves all.  Are there issues with this?

Regards,
Alex.

Khosravi, Hormuzd M wrote:

> One way to resolve this and make some progress is to separate this 
> from the ForCES base protocol, let us consider having 2 drafts...one 
> which
>
> which defines how the base protocol will work over different reliable 
> as well as
>
> unreliable transports e.g. TCP/IP, UDP/IP, TIPC, Ethernet, PCI, etc. 
> The base protocol can concentrate on the basic protocol messages 
> needed for
>
> for the base protocol' can discuss the details of providing 
> reliability over unreliable transports using some encapsulation header 
> or TLV, etc. and how
>

---

From: Alex Audu <[email-masked]>
Date: Tue, 02 Mar 2004 12:08:10 -0600

Hi Again,

I am not sure if I replied too soon to your e-mail,..but on further 
reflection,  I can see
why you made the recommendation.  Again, my answer is the same: no 
double drafts.
The ForCEs protocol is transport independent by requirements specs.  So, 
a well defined
protocol should work transparently well with any  transport. 

You can have different sections for each of the transports considered 
and add comments
about any special thing that needs to be done or any special behavior to 
accommodate
that transport mode.

Regards,
Alex.